#version 330

in vec3 fs_normal;
in vec4 lightDir;

uniform vec4 color;
uniform bool backface;
uniform mat4 view;

out vec4 fragColor;

void main()
{
	if(backface) {
		fragColor = vec4(0.0, 0.0, 0.0, 1.0);
	} else {
		vec4 col = color;

		vec3 l = normalize(vec3(0.3,1,0));
		
		float NdotL = max(dot(fs_normal, l), 0.0);
	    fragColor = col*(NdotL+0.5);
	    int steps = 3;
	    fragColor = floor(fragColor * steps) / steps + 0.0;
	}
}
